Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### strokeJoin()

Examples

    noFill();
    smooth();
    strokeWeight(10.0);
    strokeJoin(MITER);
    beginShape();
    vertex(35, 20);
    vertex(65, 50);
    vertex(35, 80);
    endShape();

    noFill();
    smooth();
    strokeWeight(10.0);
    strokeJoin(BEVEL);
    beginShape();
    vertex(35, 20);
    vertex(65, 50);
    vertex(35, 80);
    endShape();

    noFill();
    smooth();
    strokeWeight(10.0);
    strokeJoin(ROUND);
    beginShape();
    vertex(35, 20);
    vertex(65, 50);
    vertex(35, 80);
    endShape();

Description | Sets the style of the joints which connect line segments. These joints are either mitered, beveled, or rounded and specified with the corresponding parameters MITER, BEVEL, and ROUND. The default joint is MITER. This function is not available with the P2D, P3D, or OPENGL renderers (see bug report). More information about the renderers can be found in the size() reference.

Syntax

    strokeJoin(MODE)

Parameters

MODE | Either MITER, BEVEL, or ROUND

Returns | None
Usage | Web & Application
Related | stroke() strokeWeight() strokeCap()

Updated on November 22, 2008 08:39:25pm PST